t.i.kqreactor : module documentation

Part of twisted.internet View Source

A kqueue()/kevent() based implementation of the Twisted main loop.

To use this reactor, start your application specifying the kqueue reactor:

  twistd --reactor kqueue ...

To install the event loop from code (and you should do this before any connections, listeners or connectors are added):

  from twisted.internet import kqreactor

This implementation depends on Python 2.6 or higher which has kqueue support built in the select module.

Note, that you should use Python 2.6.5 or higher, since previous implementations of select.kqueue had http://bugs.python.org/issue5910 not yet fixed.

Class KQueueReactor A reactor that uses kqueue(2)/kevent(2) and relies on Python 2.6 or higher which has built in support for kqueue in the select module.
Function install Install the kqueue() reactor.
def install(): (source)
Install the kqueue() reactor.
API Documentation for Twisted, generated by pydoctor at 2013-11-18 18:11:01.